variables:
  AWS_BUILD_SUBDIR: provider/legal-aws/build-aws
  AWS_TEST_SUBDIR: testing/legal-test-aws
  AWS_SERVICE: legal
  AWS_ENVIRONMENT: dev

  GCP_BUILD_SUBDIR: provider/legal-gcp
  GCP_INT_TEST_SUBDIR: testing/legal-test-gcp
  GCP_APPLICATION_NAME: os-legal
  GCP_ENVIRONMENT: testing
  GCP_PROJECT: opendes-evt
  GCP_TENANT_NAME: opendes-evt

  OSDU_GCP_SERVICE: legal
  OSDU_GCP_VENDOR: gcp
  OSDU_GCP_HELM_CONFIG_SERVICE_VARS: "--set data.project_id=$OSDU_GCP_PROJECT --set data.authorize_api=$OSDU_GCP_AUTHORIZE_API --set data.google_audiences=$GOOGLE_AUDIENCE --set data.redis_group_host=$REDIS_GROUP_HOST --set data.redis_storage_host=$REDIS_STORAGE_HOST --set data.partition_api=$OSDU_GCP_PARTITION_API --set data.log_level=INFO --set enable_full_bucket_name=$ENABLE_FULL_BUCKET_NAME"
  OSDU_GCP_HELM_DEPLOYMENT_SERVICE_VARS: "--set data.image=$CI_REGISTRY_IMAGE/osdu-gcp:$CI_COMMIT_SHORT_SHA --set data.serviceAccountName=workload-identity-legal --set data.limits_cpu=1.5 --set data.limits_memory=512M"
  OSDU_GCP_HELM_CONFIG_SERVICE: legal-config
  OSDU_GCP_HELM_DEPLOYMENT_SERVICE: legal-deploy

  IBM_BUILD_SUBDIR: provider/legal-ibm
  IBM_INT_TEST_SUBDIR: testing/legal-test-ibm

  AZURE_SERVICE: legal
  AZURE_BUILD_SUBDIR: provider/legal-azure
  AZURE_TEST_SUBDIR: testing/legal-test-azure

include:
  - project: "osdu/platform/ci-cd-pipelines"
    file: "standard-setup.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "build/maven.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/fossa.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "scanners/gitlab-ultimate.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/aws.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/ibm.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/azure.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/osdu-gcp-gke.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "cloud-providers/gcp.yml"

  - project: "osdu/platform/ci-cd-pipelines"
    file: "publishing/pages.yml"
